Subject: Re: bug#15805: 24.3.50; path to lisp/language?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Nov 2013 18:19:57 +0200

> Date: Tue, 05 Nov 2013 16:29:49 +0900
> From: Katsumi Yamaoka <[email-masked]>
> Cc: [email-masked]
> 
> Eli Zaretskii wrote:
> >> Date: Tue, 05 Nov 2013 07:56:59 +0900
> >> From: Katsumi Yamaoka <[email-masked]>
> >>
> >> $ emacs -Q
> >> Cannot open load file: No such file or directory, japan-util
> >>
> >> $ export LC_ALL=C; export LANG=C; emacs -Q
> >> It runs.
> >> And "/usr/local/share/emacs/24.3.50/lisp/language" is found in
> >> `load-path'.  But, er, it seems to be missing initially.
> 
> > Please step through Fload with a debugger, and see what is going wrong
> > there.  Most probably, something is wrong in 'openp'.  I don't have
> > access to as system with ja_JP locale to do this myself.
> 
> Thanks.
> I found what loads japan-util is `normal-top-level'.  In addition,
> lisp/subdirs.el hasn't yet been evaluated at that time.

Right.  And I see that you actually said so in your original report,
but I misunderstood you.  Sorry.

Please try with the current trunk, I think I fixed this.